package com.neusoft.smart.pos.report.persistent.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
@Data
public class OrganizationGroup implements Serializable {
    private Integer id;

    private String name;

    private String description;

    private Date createDate;

    private String status;

    private String reserved1;

    private String reserved2;

    private String reserved3;

    private String entityTableName;

    private Integer entityTableId;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getReserved1() {
        return reserved1;
    }

    public void setReserved1(String reserved1) {
        this.reserved1 = reserved1 == null ? null : reserved1.trim();
    }

    public String getReserved2() {
        return reserved2;
    }

    public void setReserved2(String reserved2) {
        this.reserved2 = reserved2 == null ? null : reserved2.trim();
    }

    public String getReserved3() {
        return reserved3;
    }

    public void setReserved3(String reserved3) {
        this.reserved3 = reserved3 == null ? null : reserved3.trim();
    }

    public String getEntityTableName() {
        return entityTableName;
    }

    public void setEntityTableName(String entityTableName) {
        this.entityTableName = entityTableName == null ? null : entityTableName.trim();
    }

    public Integer getEntityTableId() {
        return entityTableId;
    }

    public void setEntityTableId(Integer entityTableId) {
        this.entityTableId = entityTableId;
    }
}